# hiredis is an optional dependency that's incorrectly specified in setup.py
%global __requires_exclude ^python.*\\(hiredis\\)$


%global modname trollius_redis
%global pkgname trollius-redis
%global sum Redis client for the Python event loop PEP3156 for Trollius

Name:           python-%{pkgname}
Version:        0.1.4
Release:        %mkrel 23
Summary:        %{sum}
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/trollius-redis
Source0:        https://pypi.python.org/packages/source/t/trollius_redis/trollius_redis-%{version}.tar.gz
Patch0:         trollius_redis-0.1.4-python-3.7.patch

BuildArch:      noarch

%description
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 2 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%package -n     python3-%{pkgname}
Summary:        Python 3.x Redis client for the python event loop PEP3156
Requires:       python3-trollius
BuildRequires:  python3-trollius
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
Redis client for Python trollius

This Redis library is a completely asynchronous, non-blocking client for a
Redis server. It depends on trollius (asyncio compatible for PEP 3156). It
supports Python 3 Trollius-using developers.

If you're new to asyncio, it can be helpful to check out the asyncio
documentation first.


%prep
%autosetup -n %{modname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files trollius_redis

%check
# Tests are failing on koji as they require network access
#%%if 0%%{?with_python3}
#%%pytest
#%%endif


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst
# requested upstream: https://github.com/benjolitz/trollius-redis/issues/1
#%%license LICENSE




%changelog
* Sun Mar 02 2025 wally <wally> 0.1.4-23.mga10
+ Revision: 2158892
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 0.1.4-22.mga10
+ Revision: 2130495
- add and use pytest

* Thu Mar 07 2024 papoteur <papoteur> 0.1.4-21.mga10
+ Revision: 2048281
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.1.4-20.mga9
+ Revision: 1824905
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.1.4-19.mga9
+ Revision: 1781557
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.4-18.mga9
+ Revision: 1732453
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.4-17.mga8
+ Revision: 1533567
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.1.4-16.mga8
+ Revision: 1444705
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 daviddavid <daviddavid> 0.1.4-15.mga7
+ Revision: 1355376
- add patch to fix build with Python 3.7
+ tmb <tmb>
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.1.4-14.mga7
+ Revision: 1290436
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 ngompa <ngompa> 0.1.4-13.mga7
+ Revision: 1222756
- Adapt for Mageia, exclude incorrectly specified optional dependency
- imported package python-trollius-redis


* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.4-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.4-8
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun May  8 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.4-6
- Provide/Obsolete old python package name to provide upgrade path

* Thu Mar 03 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-5
- Update to the latest python packaging guidelines
- Offer a python3 sub-package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 15 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-2
- Add missing BR python-setuptools

* Wed Jun 10 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.1.4-1
- initial package for Fedora
